MotorWare f2806x Driver API Documentation

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

- All
- Variables

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- z

### - r -

- RAM0E : MMEMCFG_BITS
- RAM1E : MMEMCFG_BITS
- RAMPDECVAL_ACTIVE : _COMP_Obj_
- RAMPDECVAL_SHADOW : _COMP_Obj_
- RAMPMAXREF_ACTIVE : _COMP_Obj_
- RAMPMAXREF_SHADOW : _COMP_Obj_
- RAMPSTS : _COMP_Obj_
- RcvCmd : _DRV_SPI_8301_Vars_t_
- RD0 : LINRD0_BITS
- RD1 : LINRD0_BITS
- RD2 : LINRD0_BITS
- RD3 : LINRD0_BITS
- RD4 : LINRD1_BITS
- RD5 : LINRD1_BITS
- RD6 : LINRD1_BITS
- RD7 : LINRD1_BITS
- REC : CANREC_BITS
- RECEIVEDID : LINID_BITS
- Reset : _PIE_Obj_
- RESET : SCIGCR0_BITS
- resvd_1 : _ADC_Obj_ , _TIMER_Obj_
- resvd_12 : _ADC_Obj_
- REVID : DEV_EMU_REGS
- RFP0 : CANRFP_BITS
- RFP1 : CANRFP_BITS
- RFP10 : CANRFP_BITS
- RFP11 : CANRFP_BITS
- RFP12 : CANRFP_BITS
- RFP13 : CANRFP_BITS
- RFP14 : CANRFP_BITS
- RFP15 : CANRFP_BITS
- RFP16 : CANRFP_BITS
- RFP17 : CANRFP_BITS
- RFP18 : CANRFP_BITS
- RFP19 : CANRFP_BITS
- RFP2 : CANRFP_BITS
- RFP20 : CANRFP_BITS
- RFP21 : CANRFP_BITS
- RFP22 : CANRFP_BITS
- RFP23 : CANRFP_BITS
- RFP24 : CANRFP_BITS
- RFP25 : CANRFP_BITS
- RFP26 : CANRFP_BITS
- RFP27 : CANRFP_BITS
- RFP28 : CANRFP_BITS
- RFP29 : CANRFP_BITS
- RFP3 : CANRFP_BITS
- RFP30 : CANRFP_BITS
- RFP31 : CANRFP_BITS
- RFP4 : CANRFP_BITS
- RFP5 : CANRFP_BITS
- RFP6 : CANRFP_BITS
- RFP7 : CANRFP_BITS
- RFP8 : CANRFP_BITS
- RFP9 : CANRFP_BITS
- RM : CANES_BITS , I2CMDR_BITS
- RML0 : CANRML_BITS
- RML1 : CANRML_BITS
- RML10 : CANRML_BITS
- RML11 : CANRML_BITS
- RML12 : CANRML_BITS
- RML13 : CANRML_BITS
- RML14 : CANRML_BITS
- RML15 : CANRML_BITS
- RML16 : CANRML_BITS
- RML17 : CANRML_BITS
- RML18 : CANRML_BITS
- RML19 : CANRML_BITS
- RML2 : CANRML_BITS
- RML20 : CANRML_BITS
- RML21 : CANRML_BITS
- RML22 : CANRML_BITS
- RML23 : CANRML_BITS
- RML24 : CANRML_BITS
- RML25 : CANRML_BITS
- RML26 : CANRML_BITS
- RML27 : CANRML_BITS
- RML28 : CANRML_BITS
- RML29 : CANRML_BITS
- RML3 : CANRML_BITS
- RML30 : CANRML_BITS
- RML31 : CANRML_BITS
- RML4 : CANRML_BITS
- RML5 : CANRML_BITS
- RML6 : CANRML_BITS
- RML7 : CANRML_BITS
- RML8 : CANRML_BITS
- RML9 : CANRML_BITS
- RMLIF0 : CANGIF0_BITS
- RMLIF1 : CANGIF1_BITS
- RMLIM : CANGIM_BITS
- RMP0 : CANRMP_BITS
- RMP1 : CANRMP_BITS
- RMP10 : CANRMP_BITS
- RMP11 : CANRMP_BITS
- RMP12 : CANRMP_BITS
- RMP13 : CANRMP_BITS
- RMP14 : CANRMP_BITS
- RMP15 : CANRMP_BITS
- RMP16 : CANRMP_BITS
- RMP17 : CANRMP_BITS
- RMP18 : CANRMP_BITS
- RMP19 : CANRMP_BITS
- RMP2 : CANRMP_BITS
- RMP20 : CANRMP_BITS
- RMP21 : CANRMP_BITS
- RMP22 : CANRMP_BITS
- RMP23 : CANRMP_BITS
- RMP24 : CANRMP_BITS
- RMP25 : CANRMP_BITS
- RMP26 : CANRMP_BITS
- RMP27 : CANRMP_BITS
- RMP28 : CANRMP_BITS
- RMP29 : CANRMP_BITS
- RMP3 : CANRMP_BITS
- RMP30 : CANRMP_BITS
- RMP31 : CANRMP_BITS
- RMP4 : CANRMP_BITS
- RMP5 : CANRMP_BITS
- RMP6 : CANRMP_BITS
- RMP7 : CANRMP_BITS
- RMP8 : CANRMP_BITS
- RMP9 : CANRMP_BITS
- RNDF32 : MSTF_BITS
- RPCH : MSTF_BITS
- RPCL : MSTF_BITS
- RRDY : I2CIER_BITS , I2CSTR_BITS
- RSFULL : I2CSTR_BITS
- rsvd : CANGAM_BITS , CANMC_BITS , I2CIER_BITS , IODFTCTRL_BITS , MIFR_BITS
- rsvd1 : BRSR_BITS , CANBTC_BITS , CANES_BITS , CANGIF0_BITS , CANGIF1_BITS , CANGIM_BITS , CANLAM_BITS , CANMSGCTRL_BITS , CANREC_BITS , CANRIOC_BITS , CANTEC_BITS , CANTIOC_BITS , CLA_REGS , DEVICECNF_BITS , I2CEMDR_BITS , I2CFFRX_BITS , I2CFFTX_BITS , I2CISRC_BITS , I2CMDR_BITS , I2CPSC_BITS , I2CSTR_BITS , IODFTCTRL_BITS , LIN_REGS , LINCOMP_BITS , LINID_BITS , LINMASK_BITS , MCTL_BITS , MMEMCFG_BITS , MSTF_BITS , SCICLEARINT_BITS , SCICLEARINTLVL_BITS , SCIFORMAT_BITS , SCIGCR0_BITS , SCIGCR2_BITS , SCIINTVECT0_BITS , SCIINTVECT1_BITS , SCIPIO2_BITS , SCISETINT_BITS , SCISETINTLVL_BITS
- rsvd10 : CLA_REGS
- rsvd12_2 : _PIE_Obj_
- rsvd12_3 : _PIE_Obj_
- rsvd12_4 : _PIE_Obj_
- rsvd12_5 : _PIE_Obj_
- rsvd12_6 : _PIE_Obj_
- rsvd13 : _PIE_Obj_
- rsvd14 : _PIE_Obj_
- rsvd1_3 : _PIE_Obj_
- rsvd2 : CANBTC_BITS , CANES_BITS , CANGIF0_BITS , CANGIF1_BITS , CANGIM_BITS , CANMSGCTRL_BITS , CANREC_BITS , CANRIOC_BITS , CANTEC_BITS , CANTIOC_BITS , CLA_REGS , DEVICECNF_BITS , I2C_REGS , I2CSTR_BITS , IODFTCTRL_BITS , LIN_REGS , LINCOMP_BITS , LINMASK_BITS , MMEMCFG_BITS , MSTF_BITS , SCICLEARINT_BITS , SCICLEARINTLVL_BITS , SCIFLR_BITS , SCIFORMAT_BITS , SCIGCR0_BITS , SCIGCR1_BITS , SCIGCR2_BITS , SCIINTVECT0_BITS , SCIINTVECT1_BITS , SCIPIO2_BITS , SCISETINT_BITS , SCISETINTLVL_BITS
- rsvd3 : CANES_BITS , CANGIM_BITS , CANMSGCTRL_BITS , CANRIOC_BITS , CANTIOC_BITS , CLA_REGS , DEVICECNF_BITS , IODFTCTRL_BITS , LIN_REGS , LINCOMP_BITS , MSTF_BITS , SCICLEARINT_BITS , SCICLEARINTLVL_BITS , SCIFLR_BITS , SCIGCR1_BITS , SCIGCR2_BITS , SCIPIO2_BITS , SCISETINT_BITS , SCISETINTLVL_BITS
- rsvd4 : CLA_REGS , DEVICECNF_BITS , MSTF_BITS , SCICLEARINT_BITS , SCICLEARINTLVL_BITS , SCIFLR_BITS , SCIGCR1_BITS , SCISETINT_BITS , SCISETINTLVL_BITS
- rsvd4_4 : _PIE_Obj_
- rsvd4_5 : _PIE_Obj_
- rsvd4_6 : _PIE_Obj_
- rsvd5 : CLA_REGS , DEVICECNF_BITS , SCICLEARINT_BITS , SCICLEARINTLVL_BITS , SCISETINT_BITS , SCISETINTLVL_BITS
- rsvd5_3 : _PIE_Obj_
- rsvd5_6 : _PIE_Obj_
- rsvd5_7 : _PIE_Obj_
- rsvd6 : CLA_REGS , DEVICECNF_BITS , SCICLEARINT_BITS , SCICLEARINTLVL_BITS , SCISETINT_BITS , SCISETINTLVL_BITS
- rsvd6_7 : _PIE_Obj_
- rsvd6_8 : _PIE_Obj_
- rsvd7 : CLA_REGS , SCICLEARINT_BITS , SCICLEARINTLVL_BITS , SCISETINT_BITS , SCISETINTLVL_BITS
- rsvd7_7 : _PIE_Obj_
- rsvd7_8 : _PIE_Obj_
- rsvd8 : CLA_REGS
- rsvd8_3 : _PIE_Obj_
- rsvd8_4 : _PIE_Obj_
- rsvd8_5 : _PIE_Obj_
- rsvd8_6 : _PIE_Obj_
- rsvd8_7 : _PIE_Obj_
- rsvd8_8 : _PIE_Obj_
- rsvd9 : CLA_REGS
- rsvd9_7 : _PIE_Obj_
- rsvd9_8 : _PIE_Obj_
- Rsvd_1 : _CAP_Obj_
- rsvd_1 : _CLK_Obj_ , _COMP_Obj_ , _FLASH_Obj_ , _GPIO_Obj_ , _OSC_Obj_ , _PIE_Obj_ , _PLL_Obj_ , _PWM_Obj_ , _PWR_Obj_ , _SCI_Obj_ , _SPI_Obj_ , _WDOG_Obj_
- rsvd_10 : _ADC_Obj_
- rsvd_11 : _ADC_Obj_
- rsvd_2 : _ADC_Obj_ , _CLK_Obj_ , _COMP_Obj_ , _PLL_Obj_ , _PWM_Obj_ , _SCI_Obj_ , _SPI_Obj_ , _WDOG_Obj_
- rsvd_3 : _ADC_Obj_ , _CLK_Obj_ , _COMP_Obj_ , _PWM_Obj_ , _SPI_Obj_
- rsvd_4 : _ADC_Obj_ , _COMP_Obj_ , _GPIO_Obj_ , _PWM_Obj_
- rsvd_5 : _ADC_Obj_ , _COMP_Obj_ , _GPIO_Obj_ , _PWM_Obj_
- rsvd_6 : _ADC_Obj_ , _COMP_Obj_ , _GPIO_Obj_
- rsvd_7 : _ADC_Obj_ , _COMP_Obj_ , _GPIO_Obj_
- rsvd_8 : _ADC_Obj_ , _COMP_Obj_ , _GPIO_Obj_
- rsvd_9 : _ADC_Obj_
- RTOSINT : _PIE_Obj_
- RTR : CANMSGCTRL_BITS
- RXENA : SCIGCR1_BITS
- RXFFIENA : I2CFFRX_BITS
- RXFFIL : I2CFFRX_BITS
- RXFFINT : I2CFFRX_BITS
- RXFFINTCLR : I2CFFRX_BITS
- RXFFRST : I2CFFRX_BITS
- RXFFST : I2CFFRX_BITS
- RXFUNC : CANRIOC_BITS
- RXIDMASK : LINMASK_BITS
- RXIN : SCIPIO2_BITS
- RXPENA : IODFTCTRL_BITS
- RXRDY : SCIFLR_BITS
- RxTimeOut : _DRV8301_Obj_
- RXWAKE : SCIFLR_BITS